Bump template-haskell to 2.13.0.0
authorRyan Scott <ryan.gl.scott@gmail.com>
Mon, 25 Sep 2017 18:22:27 +0000 (14:22 -0400)
committerRyan Scott <ryan.gl.scott@gmail.com>
Mon, 25 Sep 2017 18:22:27 +0000 (14:22 -0400)
Summary:
Now that `MonadIO` is a superclass of `Quasi`, it's a good
time to bump the `template-haskell` version so that libraries can
accommodate the change using CPP.

Test Plan: ./validate

Reviewers: bgamari, austin

Subscribers: rwbarton, thomie

Differential Revision: https://phabricator.haskell.org/D4007

compiler/ghc.cabal.in
libraries/ghci/ghci.cabal.in
libraries/template-haskell/template-haskell.cabal
testsuite/tests/th/TH_Roles2.stderr

index 817b410..4f0fbbc 100644 (file)
@@ -59,7 +59,7 @@ Library
                    containers >= 0.5 && < 0.6,
                    array      >= 0.1 && < 0.6,
                    filepath   >= 1   && < 1.5,
-                   template-haskell == 2.12.*,
+                   template-haskell == 2.13.*,
                    hpc        == 0.6.*,
                    transformers == 0.5.*,
                    ghc-boot   == @ProjectVersionMunged@,
index 2e3fc94..c22f605 100644 (file)
@@ -77,7 +77,7 @@ library
         filepath         == 1.4.*,
         ghc-boot         == @ProjectVersionMunged@,
         ghc-boot-th      == @ProjectVersionMunged@,
-        template-haskell == 2.12.*,
+        template-haskell == 2.13.*,
         transformers     == 0.5.*
 
     if !os(windows)
index f38c887..887865d 100644 (file)
@@ -1,5 +1,5 @@
 name:           template-haskell
-version:        2.12.0.0
+version:        2.13.0.0
 -- NOTE: Don't forget to update ./changelog.md
 license:        BSD3
 license-file:   LICENSE
index 9e910cc..d00f70c 100644 (file)
@@ -4,9 +4,9 @@ TYPE CONSTRUCTORS
   data T (a :: k)
 COERCION AXIOMS
 Dependent modules: []
-Dependent packages: [array-0.5.2.0, base-4.10.0.0, deepseq-1.4.3.0,
+Dependent packages: [array-0.5.2.0, base-4.11.0.0, deepseq-1.4.3.0,
                      ghc-boot-th-8.3, ghc-prim-0.5.1.0, integer-gmp-1.0.1.0,
-                     pretty-1.1.3.3, template-haskell-2.12.0.0]
+                     pretty-1.1.3.5, template-haskell-2.13.0.0]
 
 ==================== Typechecker ====================
 TH_Roles2.$tcT